{"openapi":"3.0.1","info":{"title":"\"Cim Little\"","contact":{"name":"CNP - CIM Team","email":"\"squad-casi-dsi-cnp-ab@cnp.fr\""},"version":"9.11.0-rc2"},"servers":[{"url":"/little/"}],"security":[{"cim-token":[],"BearerToken":[]}],"tags":[{"name":"Contracts Animal Health","description":"Operations REST for Animal health contracts."},{"name":"Pricing Warranty Extension","description":"Operations REST for warranty extension pricing."},{"name":"Pricing Nomadic","description":"Operations REST for nomadic pricing."},{"name":"Contracts Nomadic","description":"Operations REST for Nomadic contracts."},{"name":"Claims Animal Health","description":"Operations REST for Animal Health claims."},{"name":"Claims School Insurance","description":"Operations REST for ASSSCO claims."},{"name":"Contracts School Insurance","description":"Operations REST for ASSSCO contracts."},{"name":"Contracts Warranty Extension","description":"Operations REST for Warranty Extension contracts."},{"name":"Pricing Animal Health","description":"Operations REST for Animal health pricing."},{"name":"Pricing School Insurance","description":"Operations REST for school insurance pricing."}],"paths":{"/pricing/warranty-extension/simulated":{"post":{"tags":["Pricing Warranty Extension"],"summary":"Create a simulated price for warranty extension quote","operationId":"createWarrantyExtensionQuoteSimulatedPricing","parameters":[{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the warranty extension quote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractWarrantyExtension"}}},"required":true},"responses":{"200":{"description":"Simulated price for Warranty Extension quote has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingWarrantyExtensionResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/warranty-extension/endorsement":{"post":{"tags":["Pricing Warranty Extension"],"summary":"Simulate pricing endorsement for warranty extension product","operationId":"loadWarrantyExtensionPricingEndorsement","parameters":[{"name":"contractId","in":"query","description":"Contract ID","required":true,"schema":{"type":"string"}},{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"The warranty extension contract endorsement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractWarrantyExtensionEndorsement"}}},"required":true},"responses":{"200":{"description":"Pricing for the Warranty Extension endorsement has been successfully simulated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingWarrantyExtensionResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/nomadic/simulated":{"post":{"tags":["Pricing Nomadic"],"summary":"Create a simulated price for nomadic quote","operationId":"createNomadicQuoteSimulatedPricing","parameters":[{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the nomadic quote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractNomadic"}}},"required":true},"responses":{"200":{"description":"Simulated price for Nomadic quote has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingNomadicResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/nomadic/endorsement":{"post":{"tags":["Pricing Nomadic"],"summary":"Simulate pricing endorsement for nomadic product","operationId":"loadNomadicPricingEndorsement","parameters":[{"name":"contractId","in":"query","description":"Contract ID","required":true,"schema":{"type":"string"}},{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"The nomadic contract endorsement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractNomadicEndorsement"}}},"required":true},"responses":{"200":{"description":"Pricing for the Nomadic endorsement has been successfully simulated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingNomadicResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/asssco/simulated":{"post":{"tags":["Pricing School Insurance"],"summary":"Create a simulated price for school insurance quote","operationId":"createAssscoQuoteSimulatedPricing","parameters":[{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the school insurance quote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAsssco"}}},"required":true},"responses":{"200":{"description":"Simulated price for school insurance quote has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingAssscoResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/asssco/endorsement":{"post":{"tags":["Pricing School Insurance"],"summary":"Simulate pricing endorsement for school insurance product","operationId":"loadAssscoPricingEndorsement","parameters":[{"name":"contractId","in":"query","description":"Contract ID","required":true,"schema":{"type":"string"}},{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"The school insurance contract endorsement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAssscoEndorsement"}}},"required":true},"responses":{"200":{"description":"Pricing for the school insurance endorsement has been successfully simulated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingAssscoResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/animal/simulated":{"post":{"tags":["Pricing Animal Health"],"summary":"Create a simulated price for Animal health quote","operationId":"createAnimalHealthQuoteSimulatedPricing","parameters":[{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the Animal health quote","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealth"}}},"required":true},"responses":{"200":{"description":"Simulated price for Animal health quote has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingAnimalHealthResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/animal/formula":{"post":{"tags":["Pricing Animal Health"],"operationId":"loadPricingAndRecommendation","parameters":[{"name":"origin","in":"query","required":true,"schema":{"type":"string","enum":["GEST","WEB","AVENANT","WSPARTENAIRE","GUICHETIER"]}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealth"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormulaAnimalHealthSimulationListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/animal/endorsement":{"post":{"tags":["Pricing Animal Health"],"summary":"Simulate pricing endorsement for Animal health product","operationId":"loadAnimalHealthPricingEndorsement","parameters":[{"name":"contractId","in":"query","description":"Contract ID","required":true,"schema":{"type":"string"}},{"name":"clearWarrantyBundleCodes","in":"query","description":"Define if we need to clear the warrantyBundleCodes before pricing","required":false,"schema":{"type":"boolean"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"The Animal health contract endorsement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealthEndorsement"}}},"required":true},"responses":{"200":{"description":"Pricing for the Animal health endorsement has been successfully simulated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PricingAnimalHealthResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/animal/endorsement/pricing-recommendation":{"post":{"tags":["Pricing Animal Health"],"summary":"Load pricing and recommendation for Animal Health endorsement","operationId":"loadAnimalHealthPricingEndorsementAndRecommendation","parameters":[{"name":"contractId","in":"query","description":"Contract ID","required":true,"schema":{"type":"string"}},{"name":"origin","in":"query","description":"Origin of the call","required":true,"schema":{"type":"string","enum":["GEST","WEB","AVENANT","WSPARTENAIRE","GUICHETIER"]}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"The Animal Health contract endorsement","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealthEndorsement"}}},"required":true},"responses":{"200":{"description":"The Animal Health endorsement pricing and recommendation has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormulaAnimalHealthSimulationListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"The Animal Health contract has not been found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FormulaAnimalHealthSimulationListResponse"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/warranty-extension":{"post":{"tags":["Contracts Warranty Extension"],"summary":"Create a Warranty Extension contract","operationId":"createWarrantyExtensionContract","parameters":[{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the contract to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractWarrantyExtension"}}},"required":true},"responses":{"201":{"description":"Warranty Extension contract has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractWarrantyExtensionResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/warranty-extension/{id}/endorsement":{"post":{"tags":["Contracts Warranty Extension"],"summary":"Create a Warranty Extension contract endorsement","operationId":"createWarrantyExtensionEndorsement","parameters":[{"name":"id","in":"path","description":"The technical id of the Warranty Extension contract","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the Warranty Extension endorsement to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractWarrantyExtensionEndorsement"}}},"required":true},"responses":{"201":{"description":"Warranty Extension endorsement has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractWarrantyExtensionEndorsementResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/nomadic":{"post":{"tags":["Contracts Nomadic"],"summary":"Create a Nomadic contract","operationId":"createNomadicContract","parameters":[{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the contract to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractNomadic"}}},"required":true},"responses":{"201":{"description":"Nomadic contract has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractNomadicResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/nomadic/{id}/endorsement":{"post":{"tags":["Contracts Nomadic"],"summary":"Create a Nomadic contract endorsement","operationId":"createNomadicEndorsement","parameters":[{"name":"id","in":"path","description":"The technical id of the Nomadic contract","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the Nomadic endorsement to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractNomadicEndorsement"}}},"required":true},"responses":{"201":{"description":"Nomadic endorsement has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractNomadicEndorsementResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Nomadic contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/asssco":{"post":{"tags":["Contracts School Insurance"],"summary":"Create a school insurance contract","operationId":"createAssscoContract","parameters":[{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the contract to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAsssco"}}},"required":true},"responses":{"201":{"description":"School insurance contract has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractAssscoResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/asssco/{id}/endorsement":{"post":{"tags":["Contracts School Insurance"],"summary":"Create a school insurance contract endorsement","operationId":"createAssscoEndorsement","parameters":[{"name":"id","in":"path","description":"The technical id of the school insurance contract","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the school insurance endorsement to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAssscoEndorsement"}}},"required":true},"responses":{"201":{"description":"School insurance endorsement has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAssscoEndorsementResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"School insurance contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/animal":{"post":{"tags":["Contracts Animal Health"],"summary":"Create an Animal health contract","operationId":"createAnimalHealthContract","parameters":[{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the contract to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealth"}}},"required":true},"responses":{"201":{"description":"Animal health contract has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractAnimalHealthResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/animal/{id}/endorsement":{"post":{"tags":["Contracts Animal Health"],"summary":"Create a Animal health contract endorsement","operationId":"createAnimalHealthEndorsement","parameters":[{"name":"id","in":"path","description":"The technical id of the Animal health contract","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the Animal health endorsement to create","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealthEndorsement"}}},"required":true},"responses":{"201":{"description":"Animal health endorsement has been successfully created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealthEndorsementResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Animal health contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/warranty-extension/{id}":{"get":{"tags":["Contracts Warranty Extension"],"summary":"Load a Warranty Extension contract by technical id","operationId":"loadContractWarrantyExtensionById","parameters":[{"name":"id","in":"path","description":"The technical id of the Warranty Extension contract","required":true,"schema":{"type":"string"}},{"name":"versionId","in":"query","description":"The version id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"date","in":"query","description":"The date of the risk you want of the Warranty Extension contract","required":false,"schema":{"type":"string","format":"date"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Warranty Extension contract has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractWarrantyExtensionResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Warranty Extension contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"patch":{"tags":["Contracts Warranty Extension"],"summary":"Update a Warranty Extension quote","operationId":"updateWarrantyExtensionQuote","parameters":[{"name":"id","in":"path","description":"The technical id of the Warranty Extension quote to update","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the Warranty Extension quote to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractWarrantyExtension"}}},"required":true},"responses":{"200":{"description":"Warranty Extension quote has been successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractWarrantyExtensionResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Warranty Extension quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/nomadic/{id}":{"get":{"tags":["Contracts Nomadic"],"summary":"Load a Nomadic contract by technical id","operationId":"loadContractNomadicById","parameters":[{"name":"id","in":"path","description":"The technical id of the Nomadic contract","required":true,"schema":{"type":"string"}},{"name":"versionId","in":"query","description":"The version id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"date","in":"query","description":"The date of the risk you want of the Nomadic contract","required":false,"schema":{"type":"string","format":"date"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Nomadic contract has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractNomadicResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Nomadic contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"patch":{"tags":["Contracts Nomadic"],"summary":"Update a Nomadic quote","operationId":"updateNomadicQuote","parameters":[{"name":"id","in":"path","description":"The technical id of the Nomadic quote to update","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the Nomadic quote to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractNomadic"}}},"required":true},"responses":{"200":{"description":"Nomadic quote has been successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractNomadicResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Nomadic quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/asssco/{id}":{"get":{"tags":["Contracts School Insurance"],"summary":"Load a school insurance contract by technical id","operationId":"loadContractAssscoById","parameters":[{"name":"id","in":"path","description":"The technical id of the asssco contract","required":true,"schema":{"type":"string"}},{"name":"versionId","in":"query","description":"The version id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"date","in":"query","description":"The date of the risk you want of the asssco contract","required":false,"schema":{"type":"string","format":"date"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"School insurance contract has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractAssscoResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"School insurance contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"patch":{"tags":["Contracts School Insurance"],"summary":"Update a school insurance quote","operationId":"updateAssscoQuote","parameters":[{"name":"id","in":"path","description":"The technical id of the school insurance quote to update","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the school insurance quote to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAsssco"}}},"required":true},"responses":{"200":{"description":"School insurance quote has been successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractAssscoResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"School insurance quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/animal/{id}":{"get":{"tags":["Contracts Animal Health"],"summary":"Load an Animal health contract by technical id","operationId":"loadContractAnimalHealthById","parameters":[{"name":"id","in":"path","description":"The technical id of the Animal health contract","required":true,"schema":{"type":"string"}},{"name":"versionId","in":"query","description":"The version id","required":false,"schema":{"type":"integer","format":"int64"}},{"name":"date","in":"query","description":"The date of the risk you want of the Animal health contract","required":false,"schema":{"type":"string","format":"date"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Animal health contract has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractAnimalHealthResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Animal health contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}},"patch":{"tags":["Contracts Animal Health"],"summary":"Update an Animal health quote","operationId":"updateAnimalHealthQuote","parameters":[{"name":"id","in":"path","description":"The technical id of the Animal health quote to update","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"Details of the Animal health quote to update","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MiscContractAnimalHealth"}}},"required":true},"responses":{"200":{"description":"Animal health quote has been successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractAnimalHealthResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Animal health quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/animal/supporting-document/{id}":{"patch":{"tags":["Contracts Animal Health"],"summary":"Update supporting documents with a task animal health AFN","operationId":"updateSupportingDocuments","parameters":[{"name":"id","in":"path","description":"The technical id of the task","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"requestBody":{"description":"The AFN task","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TaskAnimalAfn"}}},"required":true},"responses":{"200":{"description":"The supporting documents have been successfully updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericResponseTaskAnimalAfn"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Task not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/warranty-extension/quote/{quoteId}/simulated-premium":{"get":{"tags":["Pricing Warranty Extension"],"summary":"Load simulated premium for a quote by its id","operationId":"loadQuoteSimulatedPremium","parameters":[{"name":"quoteId","in":"path","description":"The technical id of the warranty extension quote","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Simulated premium for Warranty Extension quote has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimulatedPremiumWarrantyExtensionResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Warranty Extension quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/nomadic/quote/{quoteId}/simulated-premium":{"get":{"tags":["Pricing Nomadic"],"summary":"Load simulated premium for a quote by its id","operationId":"loadQuoteSimulatedPremium_1","parameters":[{"name":"quoteId","in":"path","description":"The technical id of the nomadic quote","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Simulated premium for Nomadic quote has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimulatedPremiumNomadicResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Nomadic quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/asssco/quote/{quoteId}/simulated-premium":{"get":{"tags":["Pricing School Insurance"],"summary":"Load simulated premium for a quote by its id","operationId":"loadQuoteSimulatedPremium_2","parameters":[{"name":"quoteId","in":"path","description":"The technical id of the school insurance quote","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Simulated premium for school insurance quote has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimulatedPremiumAssscoResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"School insurance quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/pricing/animal/quote/{quoteId}/simulated-premium":{"get":{"tags":["Pricing Animal Health"],"summary":"Load simulated premium for a quote by its id","operationId":"loadAnimalHealthQuoteSimulatedPremium","parameters":[{"name":"quoteId","in":"path","description":"The technical id of the animal health quote","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Simulated premium for Animal health quote has been successfully loaded","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SimulatedPremiumAnimalHealthResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Animal health quote not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/warranty-extension/{id}/endorsements":{"get":{"tags":["Contracts Warranty Extension"],"summary":"Search Warranty Extension contract endorsements","operationId":"searchWarrantyExtensionEndorsements","parameters":[{"name":"id","in":"path","description":"Contract identifier","required":true,"schema":{"type":"string"}},{"name":"quoteStartDate","in":"query","description":"Quote start date","required":false,"schema":{"type":"string","format":"date"}},{"name":"quoteEndDate","in":"query","description":"Quote end date","required":false,"schema":{"type":"string","format":"date"}},{"name":"natureCode","in":"query","description":"Contract version nature code","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"Endorsement status","required":false,"schema":{"type":"string","enum":["QUOTE","IN_PROGRESS","CANCELLED","AWAITING","QUOTE_CANCELLED","QUOTE_WITHOUT_EFFECT","AWAITING_CANCELED"]}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Warranty Extension endorsements have been successfully searched","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractEndorsementWarrantyExtensionListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Warranty Extension contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/nomadic/{id}/endorsements":{"get":{"tags":["Contracts Nomadic"],"summary":"Search Nomadic contract endorsements","operationId":"searchNomadicEndorsements","parameters":[{"name":"id","in":"path","description":"The technical id of the Nomadic contract","required":true,"schema":{"type":"string"}},{"name":"quoteStartDate","in":"query","description":"Quote start date","required":false,"schema":{"type":"string","format":"date"}},{"name":"quoteEndDate","in":"query","description":"Quote end date","required":false,"schema":{"type":"string","format":"date"}},{"name":"natureCode","in":"query","description":"Contract version nature code","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"Endorsement status","required":false,"schema":{"type":"string","enum":["QUOTE","IN_PROGRESS","CANCELLED","AWAITING","QUOTE_CANCELLED","QUOTE_WITHOUT_EFFECT","AWAITING_CANCELED"]}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Nomadic endorsements have been successfully searched","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractEndorsementNomadicListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Nomadic contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/asssco/{id}/endorsements":{"get":{"tags":["Contracts School Insurance"],"summary":"Search a school insurance contract endorsement","operationId":"searchAssscoEndorsements","parameters":[{"name":"id","in":"path","description":"The technical id of the asssco contract","required":true,"schema":{"type":"string"}},{"name":"quoteStartDate","in":"query","description":"Quote start date","required":false,"schema":{"type":"string","format":"date"}},{"name":"quoteEndDate","in":"query","description":"Quote end date","required":false,"schema":{"type":"string","format":"date"}},{"name":"natureCode","in":"query","description":"Contract version nature code","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"Endorsement status","required":false,"schema":{"type":"string","enum":["QUOTE","IN_PROGRESS","CANCELLED","AWAITING","QUOTE_CANCELLED","QUOTE_WITHOUT_EFFECT","AWAITING_CANCELED"]}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"School insurance endorsements have been successfully searched","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractEndorsementAssscoListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"School insurance contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/animal/{id}/endorsements":{"get":{"tags":["Contracts Animal Health"],"summary":"Search an Animal health contract endorsement","operationId":"searchAnimalHealthEndorsements","parameters":[{"name":"id","in":"path","description":"The technical id of the Animal health contract","required":true,"schema":{"type":"string"}},{"name":"quoteStartDate","in":"query","description":"Quote start date","required":false,"schema":{"type":"string","format":"date"}},{"name":"quoteEndDate","in":"query","description":"Quote end date","required":false,"schema":{"type":"string","format":"date"}},{"name":"natureCode","in":"query","description":"Contract version nature code","required":false,"schema":{"type":"string"}},{"name":"status","in":"query","description":"Endorsement status","required":false,"schema":{"type":"string","enum":["QUOTE","IN_PROGRESS","CANCELLED","AWAITING","QUOTE_CANCELLED","QUOTE_WITHOUT_EFFECT","AWAITING_CANCELED"]}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Animal health endorsements have been successfully searched","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ContractEndorsementAnimalHealthListResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/contracts/animal/search-supporting-documents":{"get":{"tags":["Contracts Animal Health"],"summary":"Search supporting documents","operationId":"searchSupportingDocuments","parameters":[{"name":"id","in":"query","description":"The technical id of the Animal contract","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"The supporting documents have been successfully found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GenericListResponseTaskAnimalAfn"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Animal contract not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/claims/asssco/{id}":{"get":{"tags":["Claims School Insurance"],"summary":"Load School insurance claim by technical id","operationId":"loadClaimAssscoById","parameters":[{"name":"id","in":"path","description":"The technical id of the School insurance claim","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"School insurance claim found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClaimAssscoResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"School insurance claim not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}},"/claims/animal/{id}":{"get":{"tags":["Claims Animal Health"],"summary":"Load Animal Health claim by technical id","operationId":"loadClaimAnimalHealthById","parameters":[{"name":"id","in":"path","description":"The technical id of the Animal Health claim","required":true,"schema":{"type":"string"}},{"name":"CIM-CLIENTAPP","in":"header","description":"Add CIM-CLIENTAPP code","required":true,"schema":{"type":"string"},"example":"CIM"},{"name":"CIM-BROKER","in":"header","description":"Add CIM-BROKER code","schema":{"type":"string"},"example":"LBPA"}],"responses":{"200":{"description":"Animal Health claim found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ClaimAnimalHealthResponse"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"404":{"description":"Animal Health claim not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}},"412":{"description":"Precondition Failed","content":{"*/*":{"schema":{"$ref":"#/components/schemas/InvalidConstraintsResponse"}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ResponseRest"}}}}}}}},"components":{"schemas":{"InvalidConstraintsResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"constraints":{"type":"object","additionalProperties":{"type":"string"}}}},"ResponseRest":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."}}},"AccountUse":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the account use.","readOnly":true},"account":{"type":"string","description":"account type","enum":["PRIMARY","RIB_1","RIB_2","RIB_3","RIB_4","RIB_5","RIB_6","RIB_7","RIB_8","RIB_9","RIB_10"]},"startDate":{"type":"string","description":"Validity start date","format":"date"},"endDate":{"type":"string","description":"Validity end date","format":"date"}},"description":"Use of bank details"},"Address":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the address."},"supplement":{"maxLength":60,"minLength":0,"type":"string","description":"Address complement (Apartment number, floor).","example":"Apartment 5"},"numberAndStreet":{"maxLength":60,"minLength":0,"type":"string","description":"The number and the name of the street","example":"12 rue de Paris"},"place":{"maxLength":40,"minLength":0,"type":"string","description":"The place name","example":"The Marais"},"city":{"$ref":"#/components/schemas/City"},"country":{"$ref":"#/components/schemas/Country"},"inseeCode":{"maxLength":10,"minLength":0,"type":"string","description":"The insee code of the city","example":"35238"},"mainAddress":{"type":"boolean","description":"Define if it's the main address","example":true},"name":{"maxLength":60,"minLength":0,"type":"string","description":"The name of the specific address","example":"Home address"},"type":{"type":"string","description":"The type of address"},"resume":{"type":"string","description":"The resume of the address","readOnly":true},"building":{"maxLength":60,"minLength":0,"type":"string","description":"The building number","example":"Building B"}}},"AutoContractLightDetails":{"type":"object","properties":{"annualPremium":{"type":"number","description":"Annual premium","format":"double"},"formula":{"type":"string","description":"Formula"},"formulaLabel":{"type":"string","description":"Formula label"},"fullAnnualPremium":{"type":"number","description":"Full annual premium","format":"double"},"riskIdentifier1":{"type":"string","description":"Risk identifier 1"},"riskIdentifier2":{"type":"string","description":"Risk identifier 2"},"riskIdentifier3":{"type":"string","description":"Risk identifier 3"},"brand":{"type":"string","description":"Brand"},"model":{"type":"string","description":"Model"},"registration":{"type":"string","description":"Registration"},"body":{"type":"string","description":"Body"},"bodyLabel":{"type":"string","description":"Body Label"},"energy":{"type":"string","description":"Energy"},"energyLabel":{"type":"string","description":"Energy Label"},"taxableHorsePower":{"type":"string","description":"Taxable HorsePower"}},"description":"AUTO contract details"},"BankDetails":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the bank details."},"accountUseList":{"type":"array","description":"Use of bank details","items":{"$ref":"#/components/schemas/AccountUse"}},"bankAddress1":{"type":"string","description":"The bank address line 1"},"bankAddress2":{"type":"string","description":"The bank address line 2"},"bankAddress3":{"type":"string","description":"The bank address line 3"},"bankAddress4":{"type":"string","description":"The bank address line 4"},"city":{"type":"string","description":"The name of the city.","example":"Rennes"},"zipCode":{"type":"string","description":"The zip code of the city.","example":"35000"},"countryCode":{"maxLength":5,"minLength":0,"type":"string","description":"The country code","example":"FR"},"type":{"type":"string","description":"The type of bank account"},"iban":{"maxLength":60,"minLength":0,"type":"string","description":"International Bank Account Number","example":"FR7610011000201234567890188"},"bic":{"maxLength":50,"minLength":0,"type":"string","description":"Bank Identifier Code"},"holder":{"type":"string","description":"The holder of the account","example":"John Doe"},"bank":{"maxLength":40,"minLength":0,"type":"string","description":"The name of the bank","example":"La Banque Postale"},"invalid":{"type":"boolean","description":"Indicates if the bank details are invalid","example":false},"creationDate":{"type":"string","description":"The creation date","format":"date-time","readOnly":true},"updateDate":{"type":"string","description":"The update date","format":"date-time","readOnly":true}},"description":"Payment bank details."},"BusinessInformation":{"type":"object","properties":{"active":{"type":"boolean","description":"Check if the person is active","example":true},"capital":{"maxLength":14,"type":"number","description":"Capital","format":"double","example":100000},"collectiveConventionCode":{"maxLength":5,"minLength":0,"type":"string","description":"Collective convention code","example":"0003"},"collectiveConventionLabel":{"maxLength":300,"minLength":0,"type":"string","description":"Collective convention label","example":"Convention collective nationale des ouvriers de la navigation intérieure"},"companyName":{"maxLength":50,"minLength":0,"type":"string","description":"Company name","example":"ACME"},"companyNameSupplement":{"maxLength":50,"minLength":0,"type":"string","description":"Company name supplement"},"creationDate":{"type":"string","description":"Creation date","format":"date-time"},"externalReference":{"type":"string","description":"External reference"},"fiscalTerritory":{"type":"string","description":"Fiscal territory","example":"FCEMT"},"headcount":{"type":"integer","description":"Number of employees","format":"int32","example":20},"id":{"type":"string","description":"Individual identifier"},"languageCode":{"maxLength":4,"minLength":0,"type":"string","description":"Language code","example":"FR"},"languageLabel":{"maxLength":40,"minLength":0,"type":"string","description":"Language label"},"lastUpdateDate":{"type":"string","description":"Last update date","format":"date-time"},"legalForm":{"maxLength":5,"minLength":0,"type":"string","description":"Legal form","example":"Ste étrangère immatriculée RCS"},"nafCode":{"maxLength":10,"minLength":0,"type":"string","description":"Code Nomenclature d’Activités Française, INSEE","example":"56.10C"},"nafLabel":{"type":"string","description":"Label Nomenclature d’Activités Française, INSEE","readOnly":true},"nic":{"maxLength":5,"minLength":0,"type":"string","description":"rankink internal number","example":"00017"},"siren":{"maxLength":11,"minLength":0,"type":"string","description":"Business identifier according to Système d'identification du répertoire des entreprises"},"siret":{"maxLength":17,"minLength":0,"type":"string","description":"Establishment identifier according to Système d'identification du répertoire des entreprises"},"titleId":{"maxLength":20,"minLength":0,"type":"string","description":"Enterprise title Id","example":"AG"},"titleLabel":{"type":"string","description":"Enterprise title Label","readOnly":true,"example":"Agency"},"turnover":{"type":"number","description":"Annual revenue","format":"double","example":50000},"vip":{"type":"boolean","description":"VIP customer","example":true}}},"City":{"type":"object","properties":{"name":{"maxLength":60,"minLength":0,"type":"string","description":"The name of the city.","example":"Paris"},"zipCode":{"maxLength":10,"minLength":0,"type":"string","description":"The zip code of the city.","example":"AA-7500"}},"description":"The city"},"CommunicationInformation":{"type":"object","properties":{"email":{"type":"string","description":"The email address","example":"email@domain.com"},"homePhone":{"type":"string","description":"The home phone number","example":"0102030405"},"cellphone":{"type":"string","description":"The cell phone number","example":"0607060706"},"claimStatementCommunicationByEmail":{"type":"boolean","description":"Claim statment communication by email"},"claimStatementCommunicationByMail":{"type":"boolean","description":"Claim statment communication by mail"},"claimStatementCommunicationBySMS":{"type":"boolean","description":"Claim statment communication by sms"},"contractCommunicationByEMail":{"type":"boolean","description":"Contract communication by email"},"contractCommunicationByMail":{"type":"boolean","description":"Contract communication by mail"},"contractCommunicationBySMS":{"type":"boolean","description":"Contract communication by sms"},"professionalPhone":{"type":"string","description":"The professional phone number","example":"0102030405"},"fax":{"maxLength":20,"minLength":0,"type":"string","description":"The fax number","example":"02134244"},"emailSendingAgreement":{"type":"string","description":"Authorization of the email solicitation","enum":["DOESNT_KNOW","SENDING_EMAILS_ACCEPTED","SENDING_EMAILS_REFUSED"]}}},"ContractContact":{"type":"object","properties":{"id":{"type":"string","description":"ContractLight contact id."},"name":{"type":"string","description":"Contact's name."},"address":{"$ref":"#/components/schemas/Address"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"endDate":{"type":"string","description":"End date.","format":"date"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"role":{"maxLength":50,"minLength":0,"type":"string","description":"Contact role."},"roleCode":{"maxLength":10,"minLength":0,"type":"string","description":"Contact role code."},"startDate":{"type":"string","description":"Start date.","format":"date"},"businessInformation":{"$ref":"#/components/schemas/BusinessInformation"}},"description":"ContractLight's contacts"},"ContractLifeStatus":{"type":"object","properties":{"billingDateMax":{"type":"string","description":"Max billing date (dateFacturationMax)","format":"date","readOnly":true},"billingDateMin":{"type":"string","description":"Min billing date (dateFacturationMin)","format":"date","readOnly":true},"code":{"type":"string","description":"Status (codeEtat)","enum":["DRAFT","QUOTE","QUOTE_AWAITING","QUOTE_REFUSED","QUOTE_HISTORIZED","QUOTE_BLOCKED","QUOTE_WITHOUT_EFFECT","QUOTE_REPLACEMENT","QUOTE_TO_VALIDATE","CONTRACT","CONTRACT_NOTICE","CONTRACT_SUSPENDED","CONTRACT_SUSPENDED_LITIGATION","CONTRACT_ANTICIPATED_TERMINATION","CONTRACT_TERMINATED","CONTRACT_TERMINATED_LITIGATION","CONTRACT_MONITORING_LITIGATION","CONTRACT_AWAITING_COMPANY","CONTRACT_AWAITING_SIGNATURE","CONTRACT_WITHOUT_EFFECT","DRAFT_MODEL","DRAFT_PUBLISHED","CONTRACT_PRICE_ERROR","CONTRACT_OPERATIONS_BLOCKED"]},"creationDate":{"type":"string","description":"Creation date (dateCreation)","format":"date-time","readOnly":true},"duration":{"maxLength":30,"type":"integer","description":"Duration","format":"int64"},"earliestDate":{"type":"string","description":"Earliest date (dateAuPlusTot)","format":"date","readOnly":true},"effectiveDate":{"type":"string","description":"Effective date (dateEffet)","format":"date"},"effectiveTime":{"type":"string","description":"Effective time (heureEffet)","format":"date"},"endDate":{"type":"string","description":"End date (dateFinPolice)","format":"date"},"formalNoticeCode":{"maxLength":10,"minLength":0,"type":"string","description":"Formal notice code"},"formalNoticeDate":{"type":"string","description":"Formal notice date (dateMiseEnDemeure)","format":"date","readOnly":true},"formerStartDate":{"type":"string","description":"Former start date (ancienDateDebut)","format":"date","readOnly":true},"freeEndingDate":{"type":"string","description":"Free ending date (dateFinGratuite)","format":"date","readOnly":true},"indexDate":{"type":"string","description":"Index date (indiceDate)","format":"date","readOnly":true},"lastDeadlineDate":{"type":"string","description":"Last deadline date (dateDerniereEcheance)","format":"date","readOnly":true},"lastEndorsementDate":{"type":"string","description":"Last endorsement date (dateDernierAvenant)","format":"date-time","readOnly":true},"mainDueDate":{"maxLength":4,"minLength":0,"type":"string","description":"Main due date"},"minDateBeforeLitigiousTermination":{"type":"string","description":"Min date before litigious termination (dateMinimumAvantResiliationContentieuse)","format":"date","readOnly":true},"nextDueDate":{"type":"string","description":"Next due date (dateProchaineEcheance)","format":"date","readOnly":true},"nextDueDateCode":{"maxLength":4,"minLength":0,"type":"string","description":"Next due date code"},"nextMainDueDate":{"type":"string","description":"Next main due date (dateProchaineEcheancePrincipale)","format":"date","readOnly":true},"originalContractEffectiveDate":{"type":"string","description":"Original contract effective date (contratOrigineDateEffet)","format":"date","readOnly":true},"quotationDispatchDate":{"type":"string","description":"Quotation dispatch date (dateEnvoiDevis)","format":"date"},"quotationPriceValidityDate":{"type":"string","description":"Quotation price validity date (dateValiditeTarifDevis)","format":"date"},"recoveryExclusionDate":{"type":"string","description":"Recovery exclusion date (dateExclusionRecouvrement)","format":"date","readOnly":true},"recoveryExclusionMotive":{"maxLength":15,"minLength":0,"type":"string","description":"Recovery exclusion motive"},"regularizationEndDate":{"type":"string","description":"Regularization end date (dateFinRegularisation)","format":"date","readOnly":true},"reinstatementDate":{"type":"string","description":"Reinstatement date (dateRemiseEnVigueur)","format":"date","readOnly":true},"revisionDate":{"type":"string","description":"Revision date (revisionDate)","format":"date","readOnly":true},"startDate":{"type":"string","description":"Start date (dateDebutPolice)","format":"date"},"statusDate":{"type":"string","description":"Status date (dateEtat)","format":"date"},"subcode":{"maxLength":5,"minLength":0,"type":"string","description":"Substatus code (sousEtatCode)"},"sublabel":{"type":"string","description":"Substatus label (sousEtatLibelle)"},"suspensionCode":{"maxLength":15,"minLength":0,"type":"string","description":"Suspension code"},"suspensionDate":{"type":"string","description":"Suspension date (dateSuspension)","format":"date"},"termBlocked":{"type":"boolean","description":"Term blocked"},"terminationCode":{"maxLength":30,"minLength":0,"type":"string","description":"Termination code"},"terminationDate":{"type":"string","description":"Termination date (dateResiliation)","format":"date"},"terminationRequestDate":{"type":"string","description":"Termination request date (dateDemandeResiliationPolice)","format":"date-time"},"updateDate":{"type":"string","description":"Update date (dateMiseAjour)","format":"date","readOnly":true},"endValidityQuotationDate":{"type":"string","description":"Quotation end validity date (dateFinValiditeDevis)","format":"date-time"}},"description":"Status and lifecycle information"},"ContractPayment":{"type":"object","properties":{"bankDetailsUsageCode":{"type":"string","description":"Bank details usage code.","readOnly":true},"bankDetailsUsageLabel":{"type":"string","description":"Bank details usage label.","readOnly":true},"directDebitDay":{"maxLength":14,"type":"integer","description":"Direct debit day.","format":"int64"},"discountNonDeductedCommissionPayout":{"type":"boolean","description":"Discount non deducted commission payout."},"discountPayer":{"type":"string","description":"Discount payer.","enum":["CUSTOMER","BROKER","INSURED","COMPANY","NOT_ENTRUSTED","CORRESPONDENT","PROVIDER","MEMBER","THIRDPARTY","STRUCTURE","BCR","EXTERNAL_RECOVERY","ANY","PUBLIC_TREASURE"]},"endorsementDiscountCode":{"maxLength":2,"minLength":0,"type":"string","description":"Endorsement discount code."},"endorsementNonDeductedCommissionPayout":{"type":"boolean","description":"Endorsement non deducted commission payout."},"endorsementPayer":{"type":"string","description":"Endorsement payer.","enum":["CUSTOMER","BROKER","INSURED","COMPANY","NOT_ENTRUSTED","CORRESPONDENT","PROVIDER","MEMBER","THIRDPARTY","STRUCTURE","BCR","EXTERNAL_RECOVERY","ANY","PUBLIC_TREASURE"]},"endorsementPaymentCode":{"maxLength":2,"minLength":0,"type":"string","description":"Endorsement payment code."},"fiscalTerritory":{"maxLength":5,"minLength":0,"type":"string","description":"Fiscal territory."},"newBusinessNonDeductedCommissionPayout":{"type":"boolean","description":"New business non deducted commission payout."},"newBusinessPayer":{"type":"string","description":"New business payer.","enum":["CUSTOMER","BROKER","INSURED","COMPANY","NOT_ENTRUSTED","CORRESPONDENT","PROVIDER","MEMBER","THIRDPARTY","STRUCTURE","BCR","EXTERNAL_RECOVERY","ANY","PUBLIC_TREASURE"]},"newBusinessPaymentCode":{"maxLength":2,"minLength":0,"type":"string","description":"New business payment code."},"numberMonthsPaymentPeriod":{"maxLength":14,"type":"integer","description":"Number of months per payment period.","format":"int64"},"payablePersonCallName":{"maxLength":100,"minLength":0,"type":"string","description":"Payable person call name."},"payerPersonId":{"maxLength":14,"type":"integer","description":"Payable person id.","format":"int64"},"paymentAddress":{"$ref":"#/components/schemas/Address"},"paymentBankDetails":{"$ref":"#/components/schemas/BankDetails"},"paymentMode":{"maxLength":2,"minLength":0,"type":"string","description":"Payment mode."},"periodicity":{"type":"string","description":"Payment periodicity.","enum":["ANNUAL","BIANNUAL","QUARTERLY","MONTHLY","ONETIME"]},"termPayer":{"type":"string","description":"Term payer.","enum":["CUSTOMER","BROKER","INSURED","COMPANY","NOT_ENTRUSTED","CORRESPONDENT","PROVIDER","MEMBER","THIRDPARTY","STRUCTURE","BCR","EXTERNAL_RECOVERY","ANY","PUBLIC_TREASURE"]},"termPaymentCode":{"maxLength":2,"minLength":0,"type":"string","description":"Term payment code."},"termPeriodicity":{"type":"string","description":"Term periodicity.","enum":["EXPIRED","TO_EXPIRE","CONTRACT"]}},"description":"The misc contract's payment"},"ContractVersion":{"type":"object","properties":{"id":{"type":"string","description":"The id of the version","readOnly":true},"creationDate":{"type":"string","description":"The creation datetime of the version","format":"date-time","readOnly":true},"endDate":{"type":"string","description":"The end date of the version","format":"date","readOnly":true},"label":{"type":"string","description":"The version label","readOnly":true},"number":{"type":"integer","description":"The version number","format":"int64","readOnly":true},"operationDate":{"type":"string","description":"The version operation","format":"date-time","readOnly":true},"reported":{"type":"boolean","description":"Modifications reported to sub contracts (only for master contracts)","readOnly":true},"specialConditions":{"type":"string","description":"Flag to specify if the version is special conditions","readOnly":true},"text":{"type":"string","description":"Additional text of the version","readOnly":true},"userLogin":{"type":"string","description":"The user login that produced the version","readOnly":true},"userName":{"type":"string","description":"The user name that produced the version","readOnly":true},"valueDate":{"type":"string","description":"The value date of the version","format":"date","readOnly":true},"fee":{"maxLength":14,"type":"number","description":"Fee","format":"double"},"formalNoticeCharges":{"maxLength":14,"type":"number","description":"Formal notice charges","format":"double"}},"description":"The detail of the current version"},"Country":{"type":"object","properties":{"code":{"maxLength":5,"minLength":0,"type":"string","description":"Code of the country.","example":"FR"},"name":{"maxLength":50,"minLength":0,"type":"string","description":"Name of the Country","example":"FRANCE"},"isoCode":{"type":"string","description":"ISO code of the Country","example":"250"}},"description":"The country"},"IntervenerWarrantyExtension":{"type":"object","properties":{"address":{"$ref":"#/components/schemas/Address"},"businessInformation":{"$ref":"#/components/schemas/BusinessInformation"},"communicationInformation":{"$ref":"#/components/schemas/CommunicationInformation"},"endDate":{"type":"string","format":"date"},"id":{"type":"string"},"personalInformation":{"$ref":"#/components/schemas/PersonalInformation"},"intervenerRole":{"type":"string","enum":["ADHER","AGENT","INSURED","OTHER","LAWYER","INSURED_LAWYER","VICTIM_LAWYER","THIRD_LAWYER","RIGHT_HOLDER","WARRANTY_BENEFICIARY","CARPA","CUSTOMER","COMPANY","PREVIOUS_COMPANY","OTHER_COMPANY","DRIVER","SPOUSE","CONTACT","INTERMEDIATE_CONTACT","DISPUTE_CONTACT","EMPLOYER","BORROWER","CHILD","INSURED_EXPERT","CAR_GUARANTEE_FUND","GARAGE","USHER","INTERM","CONTRACT_PARTICIPANT"]},"startDate":{"type":"string","format":"date"}},"description":"Interveners"},"MiscContractLightDetails":{"type":"object","properties":{"annualPremium":{"type":"number","description":"Annual premium","format":"double"},"formula":{"type":"string","description":"Formula"},"formulaLabel":{"type":"string","description":"Formula label"},"fullAnnualPremium":{"type":"number","description":"Full annual premium","format":"double"},"riskIdentifier1":{"type":"string","description":"Risk identifier 1"},"riskIdentifier2":{"type":"string","description":"Risk identifier 2"},"riskIdentifier3":{"type":"string","description":"Risk identifier 3"},"riskDescription":{"type":"string","description":"Risk description"}},"description":"MISC contract details"},"MiscContractWarrantyExtension":{"required":["customerId","productCode"],"type":"object","properties":{"adjustmentCoefficient":{"maxLength":17,"type":"number","description":"Activity end date","format":"double"},"branchCode":{"maxLength":20,"minLength":0,"type":"string","description":"Branch code"},"branchLabel":{"type":"string","description":"Branch label","readOnly":true},"brokerId":{"type":"integer","description":"Broker Id (intermediairePayeurId)","format":"int64"},"businessType":{"type":"string","description":"Insurance business type (typeMetierAssurance)","readOnly":true,"example":"Enum [ MISC, AFFINITY, CAR, MOTOCYCLE, HEALTH, LIFE ]","enum":["MISC","AFFINITY","CAR","MOTOCYCLE","HEALTH","LIFE"]},"cardinalityType":{"type":"string","description":"Cardinality type (typeCardinalite)","readOnly":true,"example":"Enum [ INDIVIDUAL, COLLECTIVE ]","enum":["INDIVIDUAL","COLLECTIVE"]},"coinsurance":{"type":"boolean","description":"Coinsurance is subscribed (subscribedCoassurance)"},"coinsuranceClaimDistribution":{"type":"string","description":"Coinsurance claim distribution (repartitionSinistreEnCoassurance)","example":"Enum [ LEADING_INSURER, BROKER ]","enum":["LEADING_INSURER","BROKER"]},"coinsurancePremiumDistribution":{"type":"string","description":"Coinsurance premium distribution (repartitionPrimeEnCoassurance)","example":"Enum [ LEADING_INSURER, BROKER ]","enum":["LEADING_INSURER","BROKER"]},"comment":{"maxLength":3999,"minLength":0,"type":"string","description":"Comment (commentaires)"},"commercialCoefficient":{"maxLength":18,"type":"number","description":"Commercial coefficient (coefficientCommercial)","format":"double"},"companyCode":{"type":"string","description":"Company code (firm) (codeSociete)","readOnly":true},"companyLabel":{"type":"string","description":"Company label (societeLibelle)","readOnly":true},"currentIndex":{"type":"number","description":"Current index (indiceActuel)","format":"double","readOnly":true},"customerDeposit":{"maxLength":14,"minLength":0,"type":"string","description":"Customer deposit (acompteClient)"},"customerId":{"maxLength":14,"minLength":0,"type":"string","description":"Customer identifier (clientId)"},"customerName":{"type":"string","description":"Customer name (personneNomAppel)","readOnly":true},"debtRecoveryExclusion":{"type":"boolean","description":"Recovery exclusion (excluRecouvrement)"},"deductibilityRate":{"maxLength":5,"type":"number","description":"Duductibility rate (tauxDeductibilite)","format":"double"},"derogatedPriceMotif":{"type":"string","description":"Derogated price motif"},"description":{"maxLength":500,"minLength":0,"type":"string","description":"Description","example":"-"},"duplicateContractNumber":{"type":"string","description":"Duplicate contract identification number (contratDupliqueNumero)","readOnly":true},"establishmentId":{"type":"string","description":"Establishment ID","readOnly":true},"establishmentLabel":{"type":"string","description":"Establishment label","readOnly":true},"formerInsurerName":{"type":"string","description":"Former insurer name (ancienNomCompagnie)","readOnly":true},"formerNumber":{"type":"string","description":"Former identification number (ancienNumero)","readOnly":true},"generalConditionsReference":{"type":"string","description":"General conditions reference (referenceConditionsGenerales)","readOnly":true},"historisedContractNumber":{"type":"string","description":"Historised contract identification number (contratHistoriseNumero)","readOnly":true},"id":{"type":"string","description":"Identifier (id)","readOnly":true},"indexCode":{"maxLength":5,"minLength":0,"type":"string","description":"Index code (indiceCode)"},"indexable":{"type":"boolean","description":"Indexable (indexable)"},"insurerId":{"maxLength":14,"type":"integer","description":"Insurer id (compagnieId)","format":"int64"},"insurerName":{"type":"string","description":"Insurer name (assureurNomAppel)","readOnly":true},"master":{"type":"boolean","description":"Indicates whether the contract is a master"},"multiplier":{"type":"number","description":"Multiplier (coefMultiplicateur)","format":"double"},"number":{"type":"string","description":"Identification number (numeroContrat)","readOnly":true},"offerCode":{"maxLength":10,"minLength":0,"type":"string","description":"Offer code (offreCode)"},"offerLabel":{"type":"string","description":"Offer label (offreLibelle)","readOnly":true},"option":{"maxLength":40,"minLength":0,"type":"string","description":"Option (optionPolice)","example":"-"},"origin":{"maxLength":14,"type":"integer","description":"Origin (origineSaisie)","format":"int64"},"parentContractInternalReference":{"maxLength":10,"minLength":0,"type":"string","description":"Parent contract internal reference (policeMereReferenceInterne)"},"parentContractNumber":{"maxLength":40,"minLength":0,"type":"string","description":"Parent contract identification number (numeroPoliceMere)"},"previousIndex":{"type":"number","description":"Previous index (indicePrecedent)","format":"double","readOnly":true},"productCode":{"maxLength":20,"minLength":0,"type":"string","description":"Product code (produitCode)"},"productLabel":{"type":"string","description":"Product label (produitLibelle)","readOnly":true},"provisionalPremiumCallRate":{"maxLength":15,"type":"number","description":"Provisional premium call rate (tauxAppelProvisionnelPrime)","format":"double"},"quoteNumber":{"type":"string","description":"Quote identification number","readOnly":true},"replacement":{"type":"boolean","description":"Replacement (remplacante)","readOnly":true},"revisable":{"type":"boolean","description":"Revisable (revisable)","readOnly":true},"specialGeneralConditionsReference":{"type":"string","description":"Special general conditions reference (referenceConditionsSpeciales)","readOnly":true},"status":{"$ref":"#/components/schemas/ContractLifeStatus"},"stopIncrease":{"type":"boolean","description":"Stop increase (stopMajorationPolice)"},"taxBaseRevision":{"maxLength":5,"minLength":0,"type":"string","description":"Tax base revision (revisionAssiette)"},"temporaryParentContractNumber":{"maxLength":40,"minLength":0,"type":"string","description":"Temporary parent contract identification number (numeroPoliceMereProvisoire)"},"termNonDeductedCommissionPayout":{"type":"boolean","description":"Term non deducted commission payout (reversementCommissionNonDeduiteTerme)"},"postSending":{"type":"boolean","description":"postSending"},"reminderType":{"type":"string","description":"Activity end date","example":"RELANCE_NON"},"promoCode":{"type":"string","description":"promoCode"},"commercial":{"type":"string","description":"commercial"},"cofiNameAndFirstName":{"type":"string","description":"cofiNameAndFirstName"},"idrh":{"type":"string","description":"idrh-"},"subscriberOrigin":{"type":"boolean","description":"subscriberOrigin"},"firstCommitmentPaymentMode":{"type":"string","description":"firstCommitmentPaymentMode","enum":["BANK_DIRECT_DEBIT","BANKCARD"]},"signatureContract":{"type":"string","description":"Method used to sign the contract","enum":["PAPER","DIGITAL"]},"distributionChannel":{"type":"string","description":"Distribution channel"},"reachableTimes":{"type":"string","description":"The person’s available time"},"sendingQuoteByMail":{"type":"boolean","description":"Indicates if the quote is mailed"},"sellerIdrh":{"type":"string","description":"Seller idrh"},"saleDeskCode":{"type":"string","description":"Seller desk code"},"saleDeskName":{"type":"string","description":"Seller desk name"},"saleChannelCode":{"type":"string","description":"the channel of the request for signature"},"linkingMethodeSubscription":{"type":"string","description":"Indicates whether the sale was done remotely or in person","enum":["FAF","VAD"]},"detailsAuto":{"$ref":"#/components/schemas/AutoContractLightDetails"},"detailsMisc":{"$ref":"#/components/schemas/MiscContractLightDetails"},"linkingMethodQuote":{"type":"string","description":"Indicates whether the sale was done remotely or in person","enum":["FAF","VAD"]},"contractCode":{"type":"string","description":"Global code for the contract proposal"},"linkingMethodManagementAct":{"type":"string","description":"Indicates whether the sale was done remotely or in person","enum":["FAF","VAD"]},"managementActOfficeCode":{"type":"string","description":"Office code for management acts"},"agentCellphone":{"type":"string","description":"Agent phone number from external context","example":"0609148291"},"sellerQuoteIdrh":{"type":"string","description":"Seller IDRH link to quote","example":"XCOP012"},"lastCodeManagementAct":{"type":"string","description":"Global code for last management act"},"providerIdrh":{"type":"string","description":"provider's IDRH"},"quoteCode":{"type":"string","description":"Global code for quote"},"sellerManagementActIdrh":{"type":"string","description":"Seller’s IDRH related to the management act","example":"XCOP012"},"quoteOfficeCode":{"type":"string","description":"Office code for quote"},"provisionalEndEffectDate":{"type":"string","description":"Provisional end effect date","format":"date-time"},"officeAffectationCode":{"type":"string","description":"Office affectation code"},"subscriptionChannel":{"type":"string","description":"Subscription channel"},"payment":{"$ref":"#/components/schemas/ContractPayment"},"contacts":{"type":"array","description":"ContractLight's contacts","items":{"$ref":"#/components/schemas/ContractContact"}},"version":{"$ref":"#/components/schemas/ContractVersion"},"premiumSummary":{"$ref":"#/components/schemas/PremiumSummary"},"risk":{"$ref":"#/components/schemas/MiscRiskWarrantyExtension"}}},"MiscRiskWarrantyExtension":{"type":"object","properties":{"billingEndDate":{"type":"string","description":"Billing end date","format":"date"},"billingStartDate":{"type":"string","description":"billingStartDate","format":"date"},"branchLabel":{"type":"string","description":"Branch label"},"common":{"maxLength":1,"minLength":0,"type":"string","description":"Common"},"coreBusiness":{"type":"string","description":"Core business","enum":["MISC","AFFINITY","CAR","MOTOCYCLE","HEALTH","LIFE"]},"creationDate":{"type":"string","description":"Creation date","format":"date-time"},"effectiveDate":{"type":"string","description":"Effective date","format":"date"},"entryDate":{"type":"string","description":"Entry date","format":"date"},"forceAnnualValue":{"type":"boolean","description":"Force annual value"},"formula":{"maxLength":50,"minLength":0,"type":"string","description":"Formula"},"formulaLabel":{"type":"string","description":"Formula label"},"formulaModelLabel":{"maxLength":100,"minLength":0,"type":"string","description":"Formula model label"},"id":{"type":"integer","description":"Id","format":"int64"},"lastVersionId":{"type":"integer","description":"Last version id","format":"int64"},"mvtRegularized":{"type":"boolean","description":"Regularized movement"},"name":{"type":"string","description":"Name"},"nextVersionId":{"maxLength":14,"type":"integer","description":"Next version Id","format":"int64"},"objectType":{"type":"string","description":"Object type of the contract","enum":["LIGHT_VEHICLE","UTILITY_VEHICLE","MOTORCYCLE","CONSTRUCTION_VEHICLE","LIGHT_VEHICLE_WITH_TRAILER","HEALTH","LIFE","HEALTH_MADELIN","LIFE_MADELIN"]},"productCode":{"maxLength":20,"minLength":0,"type":"string","description":"Product code"},"productCode1":{"maxLength":200,"minLength":0,"type":"string","description":"Product code 1"},"productCode2":{"maxLength":200,"minLength":0,"type":"string","description":"Product code 2"},"productCode3":{"maxLength":200,"minLength":0,"type":"string","description":"Product code 3"},"productLabel":{"maxLength":80,"minLength":0,"type":"string","description":"Product label"},"productLabel1":{"type":"string","description":"Product label 1"},"productLabel2":{"type":"string","description":"Product label 2"},"productLabel3":{"type":"string","description":"Product label 3"},"referenceObject":{"maxLength":5,"minLength":0,"type":"string","description":"Reference object"},"startDate":{"type":"string","description":"Start date","format":"date"},"tarificationDate":{"type":"string","description":"Tarification date","format":"date"},"type":{"type":"string","description":"Type of the risk","enum":["PERSON","VEHICLE","CREDIT","D100","SAVINGS"]},"updateDate":{"type":"string","description":"Update date","format":"date-time"},"versionId":{"type":"integer","description":"Version id","format":"int64"},"warranties":{"type":"array","description":"List of warranties","items":{"$ref":"#/components/schemas/Warranty"}},"warrantyBundleCodes":{"type":"array","description":"List of warranty bundle codes","items":{"type":"string","description":"List of warranty bundle codes"}},"withoutEffect":{"type":"boolean","description":"If is without effect"},"zipCode":{"type":"string","description":"The zip code of living place","example":"44100"},"city":{"type":"string","description":"The city of living place","example":"Nantes"},"interveners":{"type":"array","description":"Interveners","items":{"$ref":"#/components/schemas/IntervenerWarrantyExtension"}}},"description":"Warranty extension risk"},"PersonalInformation":{"required":["familyName"],"type":"object","properties":{"id":{"type":"string","description":"Person's id","example":"122754"},"titleCode":{"type":"string","description":"The title code","enum":["MISTER","MISS"]},"titleLabel":{"type":"string","description":"Title label","readOnly":true,"example":"Monsieur"},"languageCode":{"type":"string","description":"Language code","example":"FR"},"languageLabel":{"type":"string","description":"Language label","readOnly":true},"familyName":{"maxLength":50,"minLength":0,"type":"string","description":"The family name","example":"Doe"},"firstName":{"maxLength":50,"minLength":0,"type":"string","description":"The first name","example":"John"},"maidenName":{"maxLength":50,"minLength":0,"type":"string","description":"The surname prior to marriage","example":"Doe"},"marriedName":{"maxLength":50,"minLength":0,"type":"string","description":"The surname after the marriage","example":"Doe"},"completeName":{"type":"string","description":"Synthesis of family name and first name","readOnly":true,"example":"John Doe"},"gender":{"type":"string","description":"The gender of the person","enum":["FEMALE","MALE"]},"vip":{"type":"boolean","description":"Indicate if the person is a VIP"},"familySituation":{"type":"string","description":"The family situation's value","enum":["SINGLE","IN_RELATIONSHIP"]},"birthDate":{"type":"string","description":"The birth date","format":"date","example":"1991-03-21"},"deathDate":{"type":"string","description":"The death date","format":"date","example":"2091-03-21"},"birthPlace":{"maxLength":60,"minLength":0,"type":"string","description":"The birth place","example":"Rennes"},"countryCode":{"maxLength":5,"minLength":0,"type":"string","description":"The birth place country code","example":"FR"},"birthZipCode":{"maxLength":10,"minLength":0,"type":"string","description":"The birth zip code","example":"35000"},"birthTownCode":{"type":"string","description":"The birth town code (code INSEE)","example":"35238"},"socialSecurityNumber":{"maxLength":67,"minLength":0,"type":"string","description":"The social security number","example":"1234567890123"},"socialSecurityKey":{"maxLength":2,"minLength":0,"type":"string","description":"The social security key","example":"12"},"externalReference":{"type":"string","description":"Person external reference","example":"E-12345678"},"jobCategoryCode":{"type":"string","description":"Job category code","example":"27"},"jobCategoryLabel":{"type":"string","description":"Job category label","example":"Artisan"},"uniqueInsuranceNumber":{"type":"string","description":"The unique insurance number","example":"17582523"},"assetFreezing":{"type":"string","description":"Indicates if a person's assets are frozen","readOnly":true,"enum":["TRUE","FALSE","PENDING"]},"politicallyExposed":{"type":"string","description":"Indicates if the controlled person is politically exposed","readOnly":true,"enum":["TRUE","FALSE","PENDING"]},"enhancedVigilance":{"type":"string","description":"Indicates if the controlled person is subject to enhanced vigilance","readOnly":true,"enum":["TRUE","FALSE"]},"childrenNumber":{"type":"string","description":"Number of childrens"}}},"PremiumSummary":{"type":"object","properties":{"annualAmount":{"type":"number","description":"The annual amount.","format":"double"},"fullAnnualAmount":{"type":"number","description":"The full annual amount.","format":"double"}},"description":"The contract's premium summary"},"Warranty":{"type":"object","properties":{"id":{"type":"string","description":"The technical id of the warranty.","readOnly":true},"annualGrossAmount":{"type":"number","description":"Annual Gross Amount","format":"double","example":250},"annualNetAmount":{"maxLength":22,"type":"number","description":"Annual Net Amount","format":"double","example":250},"capital":{"maxLength":14,"type":"number","description":"Capital","format":"double","example":250},"code":{"maxLength":5,"minLength":0,"type":"string","description":"Warranty code","example":"FORF**"},"deductibleValue":{"maxLength":14,"type":"number","description":"Deductible value","format":"double","example":5},"grossAnnualValue":{"maxLength":16,"type":"number","description":"Gross annual value","format":"double","example":250},"label":{"maxLength":200,"minLength":0,"type":"string","description":"Warranty label","example":"Permanent Invalidity"},"limitValue":{"maxLength":14,"type":"number","description":"Limite value","format":"double","example":0},"mainWarrantyCode":{"type":"string","description":"Main warranty code","example":"VOL**"},"order":{"type":"integer","description":"Order","format":"int64","example":1},"reductionCoefficient":{"maxLength":18,"type":"number","description":"Reduction coefficient","format":"double","example":0},"revisable":{"type":"boolean","description":"If the warranty is revisable","example":false},"specifications":{"maxLength":150,"minLength":0,"type":"string","description":"Warranty's specification","example":"Permanent Invalidity"},"subscribed":{"type":"boolean","description":"If the warranty is subscribed","example":false},"taxCalculationBaseAmount":{"maxLength":16,"type":"number","description":"Taxe calcultation base amount","format":"double","example":0},"taxes":{"maxLength":16,"type":"number","description":"Taxes","format":"double","example":0},"brokerCommRate":{"maxLength":14,"type":"number","description":"Broker comm. rate","format":"double","example":0},"calculationBase":{"maxLength":16,"type":"number","description":"Amount of the calculation base","format":"double","example":0},"callRate":{"maxLength":18,"type":"number","description":"Call rate","format":"double","example":0},"contractRate":{"maxLength":18,"type":"number","description":"ContractLight rate","format":"double","example":0},"description":{"type":"string","description":"Description","example":"0"},"index":{"maxLength":5,"minLength":0,"type":"string","description":"Index","example":"0"},"text":{"maxLength":30,"minLength":0,"type":"string","description":"Taxes","example":"0"},"universCode":{"type":"string","description":"Univers code","example":"PER"},"universLabel":{"type":"string","description":"Univers label","example":"Protection des personnes"},"naturalDisasterFranchise":{"type":"array","description":"Natural disaster franchise","example":"500, 1000","items":{"type":"string","description":"Natural disaster franchise","example":"500, 1000"}}},"description":"List of warranties"},"Pricing":{"type":"object","properties":{"premiumSimulation":{"$ref":"#/components/schemas/SimulatedPremium"},"warrantyBundles":{"type":"array","items":{"$ref":"#/components/schemas/WarrantyBundle"}}}},"PricingWarrantyExtensionResponse":{"type":"object","properties":{"code":{"type":"integer","description":"The HTTP response code.","format":"int32","example":200},"appCode":{"type":"string","description":"The application status code.","example":"500"},"message":{"type":"string","description":"The error message.","example":"An error occurred while ..."},"data":{"$ref":"#/components/schemas/Pricing"}},"description":"Pricing warranty extension response."},"PrimeLine":{"type":"object","properties":{"accountingCode":{"maxLength":5,"minLength":0,"type":"string","description":"Accounting code","example":"RC"},"id":{"type":"string","description":"Premium line identification","example":"24"},"label":{"type":"string","description":"Premium line label","example":"La prime du covid"},"netPremium":{"maxLength":14,"type":"number","description":"Net premium","format":"double","example":2344},"taxAmount":{"maxLength":14,"type":"number","description":"Tax amount","format":"double","example":249865}},"description":"List of Prime Line"},"SimulatedPremium":{"type":"object","properties":{"annualAmount":{"maxLength":14,"type":"number","description":"Annual Amount","format":"double"},"annualAmountIncludingTaxes":{"maxLength":14,"type":"number","description":"Annual Amount Including Taxes","format":"double"},"annualAmountIncludingTaxesBeforeDiscounts":{"maxLength":14,"type":"number","description":"Annual Amount Including Taxes before Disc
[...]
